{
	"configurations" : 
	[
		{
			"abstractTargets" : 
			[
				{
					"directoryIndex" : 3,
					"id" : "GTest::GTest::@a44f0ac069e85531cdee",
					"jsonFile" : "target-GTest__GTest-Debug-aaef7f6781d0c0eafc2d.json",
					"name" : "GTest::GTest",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 3,
					"id" : "GTest::Main::@a44f0ac069e85531cdee",
					"jsonFile" : "target-GTest__Main-Debug-7bc9866cff532a3159f9.json",
					"name" : "GTest::Main",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 3,
					"id" : "GTest::gmock::@a44f0ac069e85531cdee",
					"jsonFile" : "target-GTest__gmock-Debug-1052e53b0121703db6eb.json",
					"name" : "GTest::gmock",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 3,
					"id" : "GTest::gmock_main::@a44f0ac069e85531cdee",
					"jsonFile" : "target-GTest__gmock_main-Debug-4f0d53eed5d9a6bfd927.json",
					"name" : "GTest::gmock_main",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 3,
					"id" : "GTest::gtest::@a44f0ac069e85531cdee",
					"jsonFile" : "target-GTest__gtest-Debug-479bd5dd1725e1ec5277.json",
					"name" : "GTest::gtest",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 3,
					"id" : "GTest::gtest_main::@a44f0ac069e85531cdee",
					"jsonFile" : "target-GTest__gtest_main-Debug-13811b217b507d95e5fc.json",
					"name" : "GTest::gtest_main",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::Core::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__Core-Debug-18024df859943e2d249d.json",
					"name" : "Qt6::Core",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::GlobalConfig::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__GlobalConfig-Debug-56c13e7d4a5e5cce2597.json",
					"name" : "Qt6::GlobalConfig",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::GlobalConfigPrivate::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__GlobalConfigPrivate-Debug-c2d3d63627a32b2710ed.json",
					"name" : "Qt6::GlobalConfigPrivate",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::Platform::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__Platform-Debug-54c462fc3b237fb8c419.json",
					"name" : "Qt6::Platform",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::PlatformAppInternal::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__PlatformAppInternal-Debug-86b2c74965e0b619932d.json",
					"name" : "Qt6::PlatformAppInternal",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::PlatformCommonInternal::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__PlatformCommonInternal-Debug-4d8ffb72a93cc2ffb25c.json",
					"name" : "Qt6::PlatformCommonInternal",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::PlatformExampleInternal::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__PlatformExampleInternal-Debug-c140c90fc18911d1eb0e.json",
					"name" : "Qt6::PlatformExampleInternal",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::PlatformModuleInternal::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__PlatformModuleInternal-Debug-19535096ad9613c93d80.json",
					"name" : "Qt6::PlatformModuleInternal",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::PlatformPluginInternal::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__PlatformPluginInternal-Debug-33d4a83e8e56eaeab12e.json",
					"name" : "Qt6::PlatformPluginInternal",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::PlatformToolInternal::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__PlatformToolInternal-Debug-d6c546f74fcf1e47567a.json",
					"name" : "Qt6::PlatformToolInternal",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::androiddeployqt::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__androiddeployqt-Debug-069d5928fd0e3678e205.json",
					"name" : "Qt6::androiddeployqt",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::androidtestrunner::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__androidtestrunner-Debug-b05b80db26f6bbbeab55.json",
					"name" : "Qt6::androidtestrunner",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::cmake_automoc_parser::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__cmake_automoc_parser-Debug-d558864795de45b37d2d.json",
					"name" : "Qt6::cmake_automoc_parser",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::moc::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__moc-Debug-65aead877545189e5872.json",
					"name" : "Qt6::moc",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::qlalr::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__qlalr-Debug-848d7301fb253e47b79d.json",
					"name" : "Qt6::qlalr",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::qmake::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__qmake-Debug-5bbfe66dafec9f0bd439.json",
					"name" : "Qt6::qmake",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::qtpaths::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__qtpaths-Debug-6aae676b3fa81468d276.json",
					"name" : "Qt6::qtpaths",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::rcc::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__rcc-Debug-e34968799bca0d0189ec.json",
					"name" : "Qt6::rcc",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::syncqt::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__syncqt-Debug-4f5ca130f7c11729066f.json",
					"name" : "Qt6::syncqt",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::tracegen::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__tracegen-Debug-eaa49a759c14a258c176.json",
					"name" : "Qt6::tracegen",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt6::tracepointgen::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt6__tracepointgen-Debug-229b1a88371fa4de185a.json",
					"name" : "Qt6::tracepointgen",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::androiddeployqt::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__androiddeployqt-Debug-b9ca5d327f63e4581bf6.json",
					"name" : "Qt::androiddeployqt",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::androidtestrunner::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__androidtestrunner-Debug-d1b0a6d2f52cca6423f4.json",
					"name" : "Qt::androidtestrunner",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::cmake_automoc_parser::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__cmake_automoc_parser-Debug-d845c482506984de9bf6.json",
					"name" : "Qt::cmake_automoc_parser",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::moc::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__moc-Debug-b884129c484a7aa47400.json",
					"name" : "Qt::moc",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::qlalr::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__qlalr-Debug-10fb9f90104cfca9ae52.json",
					"name" : "Qt::qlalr",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::qmake::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__qmake-Debug-915ae90744bc1ee797fc.json",
					"name" : "Qt::qmake",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::qtpaths::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__qtpaths-Debug-e22ade71d48f3a4d9436.json",
					"name" : "Qt::qtpaths",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::rcc::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__rcc-Debug-f20ebbda1655f9992476.json",
					"name" : "Qt::rcc",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::syncqt::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__syncqt-Debug-6a9433199c317c5b5b44.json",
					"name" : "Qt::syncqt",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::tracegen::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__tracegen-Debug-c6c75081b11f64848e02.json",
					"name" : "Qt::tracegen",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Qt::tracepointgen::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Qt__tracepointgen-Debug-33f5ede1376790c59ae8.json",
					"name" : "Qt::tracepointgen",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "Threads::Threads::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-Threads__Threads-Debug-d2b8c488cd3fc4a4e341.json",
					"name" : "Threads::Threads",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "WrapAtomic::WrapAtomic::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-WrapAtomic__WrapAtomic-Debug-512665058bbfe508daa3.json",
					"name" : "WrapAtomic::WrapAtomic",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 1,
					"id" : "qt_private_link_library_targets::@5f5a17c01335469806cb",
					"jsonFile" : "target-qt_private_link_library_targets-Debug-dec8f020c07e7cb8814b.json",
					"name" : "qt_private_link_library_targets",
					"projectIndex" : 0
				}
			],
			"directories" : 
			[
				{
					"abstractTargetIndexes" : 
					[
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24,
						25,
						26,
						27,
						28,
						29,
						30,
						31,
						32,
						33,
						34,
						35,
						36,
						37,
						38,
						39
					],
					"build" : ".",
					"childIndexes" : 
					[
						1,
						2,
						3
					],
					"jsonFile" : "directory-.-Debug-fd6451d79dc282e2f566.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"projectIndex" : 0,
					"source" : "."
				},
				{
					"abstractTargetIndexes" : 
					[
						40
					],
					"build" : "app",
					"jsonFile" : "directory-app-Debug-b0e7ec746a5b7cfce4d6.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 0,
					"projectIndex" : 0,
					"source" : "app",
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5
					]
				},
				{
					"build" : "controller",
					"jsonFile" : "directory-controller-Debug-c867a38245d7fdb428f6.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 0,
					"projectIndex" : 0,
					"source" : "controller",
					"targetIndexes" : 
					[
						6
					]
				},
				{
					"abstractTargetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5
					],
					"build" : "tests",
					"jsonFile" : "directory-tests-Debug-3aa3c3dd1c72104aceb3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.16"
					},
					"parentIndex" : 0,
					"projectIndex" : 0,
					"source" : "tests",
					"targetIndexes" : 
					[
						7
					]
				}
			],
			"name" : "Debug",
			"projects" : 
			[
				{
					"abstractTargetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21,
						22,
						23,
						24,
						25,
						26,
						27,
						28,
						29,
						30,
						31,
						32,
						33,
						34,
						35,
						36,
						37,
						38,
						39,
						40
					],
					"directoryIndexes" : 
					[
						0,
						1,
						2,
						3
					],
					"name" : "bbr-algo",
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5,
						6,
						7
					]
				}
			],
			"targets" : 
			[
				{
					"directoryIndex" : 1,
					"id" : "app::@5f5a17c01335469806cb",
					"jsonFile" : "target-app-Debug-3f69475ec28aaffcf8ed.json",
					"name" : "app",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 1,
					"id" : "app_autogen::@5f5a17c01335469806cb",
					"jsonFile" : "target-app_autogen-Debug-483e70c8e5f8ce08959d.json",
					"name" : "app_autogen",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 1,
					"id" : "app_autogen_timestamp_deps::@5f5a17c01335469806cb",
					"jsonFile" : "target-app_autogen_timestamp_deps-Debug-5d579710c0cd9cb4616c.json",
					"name" : "app_autogen_timestamp_deps",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 1,
					"id" : "app_lib::@5f5a17c01335469806cb",
					"jsonFile" : "target-app_lib-Debug-b0d09b74c58acab5a871.json",
					"name" : "app_lib",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 1,
					"id" : "app_lib_autogen::@5f5a17c01335469806cb",
					"jsonFile" : "target-app_lib_autogen-Debug-3556e1bd5ac856a93d44.json",
					"name" : "app_lib_autogen",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 1,
					"id" : "app_lib_autogen_timestamp_deps::@5f5a17c01335469806cb",
					"jsonFile" : "target-app_lib_autogen_timestamp_deps-Debug-7d802443107628077dff.json",
					"name" : "app_lib_autogen_timestamp_deps",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 2,
					"id" : "ctrl_algo::@b89a50b1d9b6a3589dde",
					"jsonFile" : "target-ctrl_algo-Debug-8921dbfb3309adcfd17a.json",
					"name" : "ctrl_algo",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 3,
					"id" : "tests::@a44f0ac069e85531cdee",
					"jsonFile" : "target-tests-Debug-11bb6ee3125770ae0abe.json",
					"name" : "tests",
					"projectIndex" : 0
				}
			]
		}
	],
	"kind" : "codemodel",
	"paths" : 
	{
		"build" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler",
		"source" : "/home/k4/tmp/bbr-algo/BinderBeispielRegler"
	},
	"version" : 
	{
		"major" : 2,
		"minor" : 10
	}
}
